Subject: Re: shared object and dynamic loading query

From: Eric Marsden <[email-masked]>
Date: 01 Oct 1999 09:57:13 +0200

>>>>> "rv" == Rodrigo Ventura <[email-masked]> writes:

  rv> I guess this is a recurrent topic on this list, but I was
  rv> wondering if anyone is working or has done any work on CLISP dynamic
  rv> loading of shared objects. It's such a neat feature that I feel almost 
  rv> a shame CLISP doesn't support it yet. Some time ago I read a message
  rv> about some very preliminary code to do that.

my experimental code for doing this on Unix-like platforms is at

   <URL:http://www.chez.com/emarsden/downloads/>

it probably needs a bit of hacking to work with current snapshots. I
have been meaning for a while to figure out how to do this with
av_call etc.  

-- 
   L'avantage du fromage sur les américains, 
   c'est qu'il y a une culture dedans. 
   -+- MZ in: Guide du Cabaliste Usenet - chapitre 9 - le gros 8 -+-